Retrieve full content of documentation pages Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.bump.sh/doc/portal/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Bump.sh Portal MCP server": {
  "url": "https://developers.bump.sh/doc/portal/mcp"
}
Close
GET /fetch

Retrieve the full content of one or more documentation pages by their URLs, including code examples (calls, requests and responses examples).

Headers

  • Portal-Url string Required

    A url of public portal:

    • E.g. for a Documentation https://developers.bump.sh
    • E.g. for a Hub https://www.elastic.co/docs/api
    • E.g. for an Organization https://apidocs.lastminute.com/

Query parameters

  • url string | array[string] Required

    Page URL or list of page URLs to retrieve (1 to 10).

Responses

  • 200 application/json

    Returns the complete page content, title, type, and examples (for operation only).

    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • type string

        Values are hub, api, guide, group, operation, request, response, model, message, binding, or property.

      • url string

        Canonical URL of the page

      • title string
      • content string
      • examples object

        Examples extracted from the document. Valid only when type is 'operation'.

        Hide examples attributes Show examples attributes object
        • calls array[object]

          List of all codeSamples examples, including our 'curl' generated example.

          Hide calls attributes Show calls attributes object
          • title string

            Title of the example

          • content string

            Content of the example

        • requests array[object]

          Take the operation.body (by default application/json, else the first content-type). Returns the list of all request examples (headers and body)

          Hide requests attributes Show requests attributes object
          • title string

            Title of the example

          • content string

            Content of the example

        • responses array[object]

          For each response, take the response.body (by default application/json, else the first content-type). Returns the list of all response examples (headers and body). Add the response status code as property 'status'.

          Hide responses attributes Show responses attributes object
          • title string

            Title of the example

          • content string

            Content of the example

          • status integer

            Response status code

  • 404

    The resource was not found

GET /fetch
curl \
 --request GET 'https://bump.sh/api/portal/v1/fetch?url=https%3A%2F%2Fone.url%2Fpath' \
 --header "Portal-Url: https://developers.bump.sh/doc/workspace/"
Response examples (200)
Output of the /fetch operation, when type is 'api'
{
  "data": [
    {
      "type": "api",
      "url": "https://developers.bump.sh/doc/workspace/",
      "title": "Bump.sh Api",
      "content": "# Bump.sh Api\nOpenAPI file: https://developers.bump.sh/doc/workspace/source.yaml\n## Description... ",
      "examples": {}
    }
  ]
Output of the /fetch operation, when type is 'operation'
{
  "data": [
    {
      "type": "operation",
      "url": "https://developers.bump.sh/doc/workspace/operation/operation-post-versions",
      "title": "Create a new version",
      "content": "# Create a new version\ **POST /versions** \n\nDeploy a new version for a given documentation",
      "examples": {
        "calls": [
          {
            "title": "curl",
            "content": "$ curl \n --request 'https://bump.sh/api/v1/versions' \\n --header \"Authorization: Token $ACCESS_TOKEN\"…"
          }
        ],
        "requests": [
          {
            "title": "Create a new version on an existing documentation",
            "content": "{\"definition\":{\"openapi\":\"3.1.0\",\"info\":{\"title\":\"…\"}}}"
          },
          {
            "title": "Create a new documentation inside a hub",
            "content": "{\"definition\":{\"openapi\":\"3.1.0\",\"info\":{\"title\":\"…\"}},\"hub\":\"my_hub_slug\"}"
          }
        ],
        "responses": [
          {
            "title": "generated",
            "content": "{\"id\":\"2361df99-3467-4c80-a0cc-45c9fe565812\",\"doc_id\":\"3ef8f52f-9056-4113-840e-2f7183b90e06\",\"doc_public_url\":\"https://bump.sh/doc/my-own-documentation\"}",
            "status": 201
          },
          {
            "title": "generated",
            "content": "{\"message\":\"You need to upgrade your subscription plan to perform this request.\"}",
            "status": 400
          }
        ]
      }
    }
  ]
}